Bug 117105 - Version missing from -devel provision
Summary: Version missing from -devel provision
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gkrellm
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact:
URL:
Whiteboard:
Keywords: EasyFix, FutureFeature, Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-28 16:18 UTC by Ville Skyttä
Modified: 2007-11-30 22:10 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2004-03-15 09:56:41 UTC


Attachments (Terms of Use)
Make -devel provision versioned (416 bytes, patch)
2004-02-28 16:18 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2004-02-28 16:18:10 UTC
The gkrellm-devel provision in 2.1.26 is unversioned, making (build)
dependencies like "BuildRequires: gkrellm-devel >= 0:2.0" not
possible.  Will attach a suggested fix.

Comment 1 Ville Skyttä 2004-02-28 16:18:58 UTC
Created attachment 98123 [details]
Make -devel provision versioned

Comment 2 Ville Skyttä 2004-02-28 16:22:12 UTC
Hm, additionally the virtual -devel provision is not guarded by
%stringfreeze, which may cause problems later...

(This is in 2.1.26-1)

Comment 3 Karsten Hopp 2004-03-03 11:53:39 UTC
fixed in CVS, I'll build a new package soon 

Comment 4 Ville Skyttä 2004-03-14 07:54:57 UTC
"Provides: gkrellm-devel" should be removed from the main package
(2.1.28-2).

Comment 5 Karsten Hopp 2004-03-15 09:56:41 UTC
uups, sorry. I missed that one. Fixed in -3 


Note You need to log in before you can comment on or make changes to this bug.